org.apache.xerces.impl.xpath.regex

## Class REUtil

- java.lang.Object
- - org.apache.xerces.impl.xpath.regex.REUtil

    public final class REUtil
    extends java.lang.Object

Version:
  $Id: REUtil.java 828015 2009-10-21 13:56:13Z knoaman $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Method Summary

All Methods Static Methods Concrete Methods
`static RegularExpression` `createRegex(java.lang.String pattern, java.lang.String options)` Creates a RegularExpression instance.
`static void` `main(java.lang.String[] argv)` Sample entry.
`static boolean` `matches(java.lang.String regex, java.lang.String target)`
`static boolean` `matches(java.lang.String regex, java.lang.String options, java.lang.String target)`
`static java.lang.String` `quoteMeta(java.lang.String literal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### main

    public static void main(java.lang.String[] argv)

Sample entry.
Usage: `org.apache.xerces.utils.regex.REUtil <regex> <string>`

#### createRegex

    public static RegularExpression createRegex(java.lang.String pattern,
                                                java.lang.String options)
                                         throws ParseException

Creates a RegularExpression instance. This method caches created instances.

Throws:
  `ParseException`
See Also:
  `RegularExpression.RegularExpression(java.lang.String, java.lang.String)`

#### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String target)
                           throws ParseException

Throws:
  `ParseException`
See Also:
  `RegularExpression.matches(java.lang.String)`

#### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String options,
                                  java.lang.String target)
                           throws ParseException

Throws:
  `ParseException`
See Also:
  `RegularExpression.matches(java.lang.String)`

#### quoteMeta

    public static java.lang.String quoteMeta(java.lang.String literal)